LibreOffice LibreOffice 25.2 SDK API Reference

Included Services | Exported Interfaces | List of all members
GridControl Service Referencepublished

describes a table-like control for displaying data. More...

`import"GridControl.idl";`

Inheritance diagram for GridControl:

## Included Services
service | com::sun::star::awt::UnoControl

## Exported Interfaces
interface | com::sun::star::form::XBoundComponent
| allows committing the content of the active cell of the control. More...
interface | com::sun::star::form::XGrid
| allows access to the active cell within the grid. More...
interface | com::sun::star::form::XGridControl
interface | com::sun::star::util::XModifyBroadcaster
| used to broadcast modifications made by the user (within the active cell) More...
interface | com::sun::star::form::XGridFieldDataSupplier
| allows access to the field data of the grid's current row in different formats More...
interface | com::sun::star::container::XIndexAccess
| allows access to objects wrapping a single column More...
interface | com::sun::star::container::XEnumerationAccess
| allows creation of an enumeration for the column objects More...
interface | com::sun::star::util::XModeSelector
| is used to switch the operating modes of the control. More...
interface | com::sun::star::view::XSelectionSupplier
| used to control the selection of rows in the grid control. More...
interface | com::sun::star::frame::XDispatchProviderInterception
| allows external components to register dispatchers for some common form actions. More...
Exported Interfaces inherited from UnoControl
interface | com::sun::star::lang::XComponent
interface | com::sun::star::awt::XControl
interface | com::sun::star::awt::XWindow
interface | com::sun::star::awt::XView
interface | com::sun::star::accessibility::XAccessible
| provides access to the accessible context associated with this object. More...
Exported Interfaces inherited from XGridControl
interface | XGrid
| allows access to the current column position within the grid control More...
interface | XGridFieldDataSupplier
| provides access to the data in the control, even in non-current rows More...

## Additional Inherited Members
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XControl
void | setContext ([in] com::sun::star::uno::XInterface Context)
| sets the context of the control. More...
com::sun::star::uno::XInterface | getContext ()
| gets the context of the control. More...
void | createPeer ([in] com::sun::star::awt::XToolkit Toolkit, [in] com::sun::star::awt::XWindowPeer Parent)
| creates a "child" window on the screen. More...
com::sun::star::awt::XWindowPeer | getPeer ()
| returns the peer which was previously created or set. More...
boolean | setModel ([in] com::sun::star::awt::XControlModel Model)
| sets a model for the control. More...
com::sun::star::awt::XControlModel | getModel ()
| returns the model for this control. More...
com::sun::star::awt::XView | getView ()
| returns the view of this control. More...
void | setDesignMode ([in] boolean bOn)
| sets the design mode for use in a design editor. More...
boolean | isDesignMode ()
| returns `TRUE` if the control is in design mode, `FALSE` otherwise. More...
boolean | isTransparent ()
| returns `TRUE` if the control is transparent, `FALSE` otherwise. More...
Public Member Functions inherited from XWindow
void | setPosSize ([in] long X, [in] long Y, [in] long Width, [in] long Height, [in] short Flags)
| sets the outer bounds of the window. More...
com::sun::star::awt::Rectangle | getPosSize ()
| returns the outer bounds of the window. More...
void | setVisible ([in] boolean Visible)
| shows or hides the window depending on the parameter. More...
void | setEnable ([in] boolean Enable)
| enables or disables the window depending on the parameter. More...
void | setFocus ()
| sets the focus to the window. More...
void | addWindowListener ([in] com::sun::star::awt::XWindowListener xListener)
| adds a window listener to the object. More...
void | removeWindowListener ([in] com::sun::star::awt::XWindowListener xListener)
| removes the specified window listener from the listener list. More...
void | addFocusListener ([in] com::sun::star::awt::XFocusListener xListener)
| adds a focus listener to the object. More...
void | removeFocusListener ([in] com::sun::star::awt::XFocusListener xListener)
| removes the specified focus listener from the listener list. More...
void | addKeyListener ([in] com::sun::star::awt::XKeyListener xListener)
| adds a key listener to the object. More...
void | removeKeyListener ([in] com::sun::star::awt::XKeyListener xListener)
| removes the specified key listener from the listener list. More...
void | addMouseListener ([in] com::sun::star::awt::XMouseListener xListener)
| adds a mouse listener to the object. More...
void | removeMouseListener ([in] com::sun::star::awt::XMouseListener xListener)
| removes the specified mouse listener from the listener list. More...
void | addMouseMotionListener ([in] com::sun::star::awt::XMouseMotionListener xListener)
| adds a mouse motion listener to the object. More...
void | removeMouseMotionListener ([in] com::sun::star::awt::XMouseMotionListener xListener)
| removes the specified mouse motion listener from the listener list. More...
void | addPaintListener ([in] com::sun::star::awt::XPaintListener xListener)
| adds a paint listener to the object. More...
void | removePaintListener ([in] com::sun::star::awt::XPaintListener xListener)
| removes the specified paint listener from the listener list. More...
Public Member Functions inherited from XView
boolean | setGraphics ([in] com::sun::star::awt::XGraphics aDevice)
| sets the output device. More...
com::sun::star::awt::XGraphics | getGraphics ()
| returns the output device which was set using the method XView::setGraphics(). More...
com::sun::star::awt::Size | getSize ()
| returns the size of the object in device units. More...
void | draw ([in] long nX, [in] long nY)
| draws the object at the specified position. More...
void | setZoom ([in] float fZoomX, [in] float fZoomY)
| sets the zoom factor. More...
Public Member Functions inherited from XBoundComponent
boolean | commit ()
| commits the content of the component into the data source it is bound to. More...
Public Member Functions inherited from XUpdateBroadcaster
void | addUpdateListener ([in] com::sun::star::form::XUpdateListener aListener)
| adds the specified listener to receive the events "approveUpdate" and "updated". More...
void | removeUpdateListener ([in] com::sun::star::form::XUpdateListener aListener)
| removes the specified listener. More...
Public Member Functions inherited from XGrid
short | getCurrentColumnPosition ()
| retrieves the current column position. More...
void | setCurrentColumnPosition ([in] short nPos)
| sets the current column position. More...
Public Member Functions inherited from XModifyBroadcaster
void | addModifyListener ([in] com::sun::star::util::XModifyListener aListener)
| adds the specified listener to receive events "modified." More...
void | removeModifyListener ([in] com::sun::star::util::XModifyListener aListener)
| removes the specified listener. More...
Public Member Functions inherited from XIndexAccess
long | getCount ()
any | getByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XEnumerationAccess
com::sun::star::container::XEnumeration | createEnumeration ()
Protected Member Functions inherited from XAccessible
XAccessibleContext | getAccessibleContext ()
| Returns the AccessibleContext associated with this object. More...
Protected Member Functions inherited from XGridControl
void | addGridControlListener ([in] XGridControlListener listener)
| registers a listener which is to be notified about state changes in the grid control More...
void | removeGridControlListener ([in] XGridControlListener listener)
| revokes a previously registered grid control listener More...
Protected Member Functions inherited from XGridFieldDataSupplier
sequence< boolean > | queryFieldDataType ([in] type xType)
| checks whether or not the content of the grid's columns can be retrieved in the requested format. More...
sequence< any > | queryFieldData ([in] long nRow, [in] type xType)
| retrieves the actual column data for the given row More...
Protected Member Functions inherited from XModifyBroadcaster
void | addModifyListener ([in] com::sun::star::util::XModifyListener aListener)
| adds the specified listener to receive events "modified." More...
void | removeModifyListener ([in] com::sun::star::util::XModifyListener aListener)
| removes the specified listener. More...
Protected Member Functions inherited from XIndexAccess
long | getCount ()
any | getByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
Protected Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Protected Member Functions inherited from XEnumerationAccess
com::sun::star::container::XEnumeration | createEnumeration ()
Protected Member Functions inherited from XModeSelector
void | setMode ([in] string aMode) raises ( com::sun::star::lang::NoSupportException )
| sets a new mode for the implementing object. More...
string | getMode ()
sequence< string > | getSupportedModes ()
boolean | supportsMode ([in] string aMode)
| asks whether a mode is supported or not. More...
Protected Member Functions inherited from XSelectionSupplier
boolean | select ([in] any xSelection) raises ( com::sun::star::lang::IllegalArgumentException )
| selects the object represented by xSelection if it is known and selectable in this object. More...
any | getSelection ()
void | addSelectionChangeListener ([in] com::sun::star::view::XSelectionChangeListener xListener)
| registers an event listener, which is called when the selection changes. More...
void | removeSelectionChangeListener ([in] com::sun::star::view::XSelectionChangeListener xListener)
| unregisters an event listener which was registered with XSelectionSupplier::addSelectionChangeListener(). More...
Protected Member Functions inherited from XDispatchProviderInterception
void | registerDispatchProviderInterceptor ([in] XDispatchProviderInterceptor Interceptor)
| registers an XDispatchProviderInterceptor, which will become the first interceptor in the chain of registered interceptors. More...
void | releaseDispatchProviderInterceptor ([in] XDispatchProviderInterceptor Interceptor)
| removes an XDispatchProviderInterceptor which was previously registered More...

## Detailed Description

describes a table-like control for displaying data.

The model of the control has to support the com::sun::star::form::component::GridControl service.

See also
  com::sun::star::awt::UnoControl
  com::sun::star::awt::UnoControlModel

## Exported Interfaces

## ◆ com::sun::star::awt::UnoControl

service com::sun::star::awt::UnoControl

## Exported Interfaces

## ◆ com::sun::star::container::XEnumerationAccess

interface com::sun::star::container::XEnumerationAccess

allows creation of an enumeration for the column objects

## ◆ com::sun::star::container::XIndexAccess

interface com::sun::star::container::XIndexAccess

allows access to objects wrapping a single column

## ◆ com::sun::star::form::XBoundComponent

interface com::sun::star::form::XBoundComponent

allows committing the content of the active cell of the control.

## ◆ com::sun::star::form::XGrid

interface com::sun::star::form::XGrid

allows access to the active cell within the grid.

Only the column position can be modified using this interface, as the row position within a table control bound to a data source is given implicitly (by the cursor position of the data source).

## ◆ com::sun::star::form::XGridControl

interface com::sun::star::form::XGridControl
| optional

## ◆ com::sun::star::form::XGridFieldDataSupplier

interface com::sun::star::form::XGridFieldDataSupplier
| optional

allows access to the field data of the grid's current row in different formats

## ◆ com::sun::star::frame::XDispatchProviderInterception

interface com::sun::star::frame::XDispatchProviderInterception
| optional

allows external components to register dispatchers for some common form actions.

A grid control can contain own UI elements for traveling within the database form it belongs to (This concept seems to make sense, as a grid control - in opposite to other data aware controls - displays not only one record at a time, but a larger number of records of the database form.)
With the help of this interface, external components which wish to handle such travelings themselves can register interceptors for the actions in question.

Usual URLs to use include

.uno:FormSlots/moveToFirst
  move the cursor to the first record
.uno:FormSlots/moveToPrev
  move the cursor to the previous record
.uno:FormSlots/moveToNext
  move the cursor to the next record
.uno:FormSlots/moveToLast
  move the cursor to the last record
.uno:FormSlots/moveToNew
  move the cursor to the (one and only) new record
.uno:FormSlots/undoRecord
  undo the changes done so far in the current record

A concrete implementation of this service may offer more or less URLs, but if it offers some of the URLs above, it must stick to the meanings defined above.

## ◆ com::sun::star::util::XModeSelector

interface com::sun::star::util::XModeSelector
| optional

is used to switch the operating modes of the control.

Besides the normal operation mode (which is used to display the database form's data) the control may for instance support a filter mode.

## ◆ com::sun::star::util::XModifyBroadcaster

interface com::sun::star::util::XModifyBroadcaster

used to broadcast modifications made by the user (within the active cell)

## ◆ com::sun::star::view::XSelectionSupplier

interface com::sun::star::view::XSelectionSupplier
| optional

used to control the selection of rows in the grid control.

The selection used with the methods com::sun::star::view::XSelectionSupplier::getSelection() and com::sun::star::view::XSelectionSupplier::select() is a sequence of Any's.
Here the elements of the Sequence are the bookmarks (in the com::sun::star::sdb::RowSet) of the (to-be-) selected rows.

The documentation for this service was generated from the following file:

- com/sun/star/form/control/GridControl.idl